import { Bit, BitVarying, Boolean, Box, ByteA, Character, CharacterVarying, Circle, Date, DateMultiRange, DateRange, Float4, Float8, Int2, Int4, Int4MultiRange, Int4Range, Int8, Int8MultiRange, Int8Range, Interval, JSON, Line, LineSegment, Money, Name, OID as OIDClass, Path, Point, Polygon, Text, Time, Timestamp, TimestampMultiRange, TimestampRange, TimestampTZ, TimestampTZMultiRange, TimestampTZRange, TimeTZ, UUID } from "../index.js";
export declare const defaultParserMappings: {
    17: {
        parse: (value: string | null) => ByteA | Int2 | Int4 | Int8 | OIDClass | Text | Character<number> | CharacterVarying<number> | Name | UUID | Bit<number> | BitVarying<number> | Boolean | Time | Timestamp | Date | import("./Range.js").Range<Date, import("../data/DateTime/Date.js").DateObject> | Interval | import("./Range.js").Range<Timestamp, import("../data/DateTime/Timestamp.js").TimestampObject> | import("../data/Enumerated/Enum.js").Enum<string, [string, ...string[]]> | Box | Circle | Line | Point | LineSegment | Polygon | JSON | Money | Float4 | Float8 | import("./Range.js").Range<Int4, import("../data/Numeric/Int4.js").Int4Object> | import("./Range.js").Range<Int8, import("../data/Numeric/Int8.js").Int8Object> | import("./MultiRange.js").MultiRange<Date, import("../data/DateTime/Date.js").DateObject> | import("./MultiRange.js").MultiRange<Timestamp, import("../data/DateTime/Timestamp.js").TimestampObject> | import("./MultiRange.js").MultiRange<Int4, import("../data/Numeric/Int4.js").Int4Object> | import("./MultiRange.js").MultiRange<Int8, import("../data/Numeric/Int8.js").Int8Object> | null;
        serialize: (value: import("../index.js").FromParameters<import("../index.js").Constructors>) => string;
    };
    1001: {
        parse: (value: string | null) => any[] | null;
        serialize: (value: string | import("../index.js").FromParameters<import("../index.js").Constructors>[] | null) => string;
    };
    1560: {
        parse: (value: string | null) => ByteA | Int2 | Int4 | Int8 | OIDClass | Text | Character<number> | CharacterVarying<number> | Name | UUID | Bit<number> | BitVarying<number> | Boolean | Time | Timestamp | Date | import("./Range.js").Range<Date, import("../data/DateTime/Date.js").DateObject> | Interval | import("./Range.js").Range<Timestamp, import("../data/DateTime/Timestamp.js").TimestampObject> | import("../data/Enumerated/Enum.js").Enum<string, [string, ...string[]]> | Box | Circle | Line | Point | LineSegment | Polygon | JSON | Money | Float4 | Float8 | import("./Range.js").Range<Int4, import("../data/Numeric/Int4.js").Int4Object> | import("./Range.js").Range<Int8, import("../data/Numeric/Int8.js").Int8Object> | import("./MultiRange.js").MultiRange<Date, import("../data/DateTime/Date.js").DateObject> | import("./MultiRange.js").MultiRange<Timestamp, import("../data/DateTime/Timestamp.js").TimestampObject> | import("./MultiRange.js").MultiRange<Int4, import("../data/Numeric/Int4.js").Int4Object> | import("./MultiRange.js").MultiRange<Int8, import("../data/Numeric/Int8.js").Int8Object> | null;
        serialize: (value: import("../index.js").FromParameters<import("../index.js").Constructors>) => string;
    };
    1561: {
        parse: (value: string | null) => any[] | null;
        serialize: (value: string | import("../index.js").FromParameters<import("../index.js").Constructors>[] | null) => string;
    };
    1562: {
        parse: (value: string | null) => ByteA | Int2 | Int4 | Int8 | OIDClass | Text | Character<number> | CharacterVarying<number> | Name | UUID | Bit<number> | BitVarying<number> | Boolean | Time | Timestamp | Date | import("./Range.js").Range<Date, import("../data/DateTime/Date.js").DateObject> | Interval | import("./Range.js").Range<Timestamp, import("../data/DateTime/Timestamp.js").TimestampObject> | import("../data/Enumerated/Enum.js").Enum<string, [string, ...string[]]> | Box | Circle | Line | Point | LineSegment | Polygon | JSON | Money | Float4 | Float8 | import("./Range.js").Range<Int4, import("../data/Numeric/Int4.js").Int4Object> | import("./Range.js").Range<Int8, import("../data/Numeric/Int8.js").Int8Object> | import("./MultiRange.js").MultiRange<Date, import("../data/DateTime/Date.js").DateObject> | import("./MultiRange.js").MultiRange<Timestamp, import("../data/DateTime/Timestamp.js").TimestampObject> | import("./MultiRange.js").MultiRange<Int4, import("../data/Numeric/Int4.js").Int4Object> | import("./MultiRange.js").MultiRange<Int8, import("../data/Numeric/Int8.js").Int8Object> | null;
        serialize: (value: import("../index.js").FromParameters<import("../index.js").Constructors>) => string;
    };
    1563: {
        parse: (value: string | null) => any[] | null;
        serialize: (value: string | import("../index.js").FromParameters<import("../index.js").Constructors>[] | null) => string;
    };
    16: {
        parse: (value: string | null) => ByteA | Int2 | Int4 | Int8 | OIDClass | Text | Character<number> | CharacterVarying<number> | Name | UUID | Bit<number> | BitVarying<number> | Boolean | Time | Timestamp | Date | import("./Range.js").Range<Date, import("../data/DateTime/Date.js").DateObject> | Interval | import("./Range.js").Range<Timestamp, import("../data/DateTime/Timestamp.js").TimestampObject> | import("../data/Enumerated/Enum.js").Enum<string, [string, ...string[]]> | Box | Circle | Line | Point | LineSegment | Polygon | JSON | Money | Float4 | Float8 | import("./Range.js").Range<Int4, import("../data/Numeric/Int4.js").Int4Object> | import("./Range.js").Range<Int8, import("../data/Numeric/Int8.js").Int8Object> | import("./MultiRange.js").MultiRange<Date, import("../data/DateTime/Date.js").DateObject> | import("./MultiRange.js").MultiRange<Timestamp, import("../data/DateTime/Timestamp.js").TimestampObject> | import("./MultiRange.js").MultiRange<Int4, import("../data/Numeric/Int4.js").Int4Object> | import("./MultiRange.js").MultiRange<Int8, import("../data/Numeric/Int8.js").Int8Object> | null;
        serialize: (value: import("../index.js").FromParameters<import("../index.js").Constructors>) => string;
    };
    1000: {
        parse: (value: string | null) => any[] | null;
        serialize: (value: string | import("../index.js").FromParameters<import("../index.js").Constructors>[] | null) => string;
    };
    18: {
        parse: (value: string | null) => ByteA | Int2 | Int4 | Int8 | OIDClass | Text | Character<number> | CharacterVarying<number> | Name | UUID | Bit<number> | BitVarying<number> | Boolean | Time | Timestamp | Date | import("./Range.js").Range<Date, import("../data/DateTime/Date.js").DateObject> | Interval | import("./Range.js").Range<Timestamp, import("../data/DateTime/Timestamp.js").TimestampObject> | import("../data/Enumerated/Enum.js").Enum<string, [string, ...string[]]> | Box | Circle | Line | Point | LineSegment | Polygon | JSON | Money | Float4 | Float8 | import("./Range.js").Range<Int4, import("../data/Numeric/Int4.js").Int4Object> | import("./Range.js").Range<Int8, import("../data/Numeric/Int8.js").Int8Object> | import("./MultiRange.js").MultiRange<Date, import("../data/DateTime/Date.js").DateObject> | import("./MultiRange.js").MultiRange<Timestamp, import("../data/DateTime/Timestamp.js").TimestampObject> | import("./MultiRange.js").MultiRange<Int4, import("../data/Numeric/Int4.js").Int4Object> | import("./MultiRange.js").MultiRange<Int8, import("../data/Numeric/Int8.js").Int8Object> | null;
        serialize: (value: import("../index.js").FromParameters<import("../index.js").Constructors>) => string;
    };
    1002: {
        parse: (value: string | null) => any[] | null;
        serialize: (value: string | import("../index.js").FromParameters<import("../index.js").Constructors>[] | null) => string;
    };
    1042: {
        parse: (value: string | null) => ByteA | Int2 | Int4 | Int8 | OIDClass | Text | Character<number> | CharacterVarying<number> | Name | UUID | Bit<number> | BitVarying<number> | Boolean | Time | Timestamp | Date | import("./Range.js").Range<Date, import("../data/DateTime/Date.js").DateObject> | Interval | import("./Range.js").Range<Timestamp, import("../data/DateTime/Timestamp.js").TimestampObject> | import("../data/Enumerated/Enum.js").Enum<string, [string, ...string[]]> | Box | Circle | Line | Point | LineSegment | Polygon | JSON | Money | Float4 | Float8 | import("./Range.js").Range<Int4, import("../data/Numeric/Int4.js").Int4Object> | import("./Range.js").Range<Int8, import("../data/Numeric/Int8.js").Int8Object> | import("./MultiRange.js").MultiRange<Date, import("../data/DateTime/Date.js").DateObject> | import("./MultiRange.js").MultiRange<Timestamp, import("../data/DateTime/Timestamp.js").TimestampObject> | import("./MultiRange.js").MultiRange<Int4, import("../data/Numeric/Int4.js").Int4Object> | import("./MultiRange.js").MultiRange<Int8, import("../data/Numeric/Int8.js").Int8Object> | null;
        serialize: (value: import("../index.js").FromParameters<import("../index.js").Constructors>) => string;
    };
    1014: {
        parse: (value: string | null) => any[] | null;
        serialize: (value: string | import("../index.js").FromParameters<import("../index.js").Constructors>[] | null) => string;
    };
    1043: {
        parse: (value: string | null) => ByteA | Int2 | Int4 | Int8 | OIDClass | Text | Character<number> | CharacterVarying<number> | Name | UUID | Bit<number> | BitVarying<number> | Boolean | Time | Timestamp | Date | import("./Range.js").Range<Date, import("../data/DateTime/Date.js").DateObject> | Interval | import("./Range.js").Range<Timestamp, import("../data/DateTime/Timestamp.js").TimestampObject> | import("../data/Enumerated/Enum.js").Enum<string, [string, ...string[]]> | Box | Circle | Line | Point | LineSegment | Polygon | JSON | Money | Float4 | Float8 | import("./Range.js").Range<Int4, import("../data/Numeric/Int4.js").Int4Object> | import("./Range.js").Range<Int8, import("../data/Numeric/Int8.js").Int8Object> | import("./MultiRange.js").MultiRange<Date, import("../data/DateTime/Date.js").DateObject> | import("./MultiRange.js").MultiRange<Timestamp, import("../data/DateTime/Timestamp.js").TimestampObject> | import("./MultiRange.js").MultiRange<Int4, import("../data/Numeric/Int4.js").Int4Object> | import("./MultiRange.js").MultiRange<Int8, import("../data/Numeric/Int8.js").Int8Object> | null;
        serialize: (value: import("../index.js").FromParameters<import("../index.js").Constructors>) => string;
    };
    1015: {
        parse: (value: string | null) => any[] | null;
        serialize: (value: string | import("../index.js").FromParameters<import("../index.js").Constructors>[] | null) => string;
    };
    19: {
        parse: (value: string | null) => ByteA | Int2 | Int4 | Int8 | OIDClass | Text | Character<number> | CharacterVarying<number> | Name | UUID | Bit<number> | BitVarying<number> | Boolean | Time | Timestamp | Date | import("./Range.js").Range<Date, import("../data/DateTime/Date.js").DateObject> | Interval | import("./Range.js").Range<Timestamp, import("../data/DateTime/Timestamp.js").TimestampObject> | import("../data/Enumerated/Enum.js").Enum<string, [string, ...string[]]> | Box | Circle | Line | Point | LineSegment | Polygon | JSON | Money | Float4 | Float8 | import("./Range.js").Range<Int4, import("../data/Numeric/Int4.js").Int4Object> | import("./Range.js").Range<Int8, import("../data/Numeric/Int8.js").Int8Object> | import("./MultiRange.js").MultiRange<Date, import("../data/DateTime/Date.js").DateObject> | import("./MultiRange.js").MultiRange<Timestamp, import("../data/DateTime/Timestamp.js").TimestampObject> | import("./MultiRange.js").MultiRange<Int4, import("../data/Numeric/Int4.js").Int4Object> | import("./MultiRange.js").MultiRange<Int8, import("../data/Numeric/Int8.js").Int8Object> | null;
        serialize: (value: import("../index.js").FromParameters<import("../index.js").Constructors>) => string;
    };
    1003: {
        parse: (value: string | null) => any[] | null;
        serialize: (value: string | import("../index.js").FromParameters<import("../index.js").Constructors>[] | null) => string;
    };
    25: {
        parse: (value: string | null) => ByteA | Int2 | Int4 | Int8 | OIDClass | Text | Character<number> | CharacterVarying<number> | Name | UUID | Bit<number> | BitVarying<number> | Boolean | Time | Timestamp | Date | import("./Range.js").Range<Date, import("../data/DateTime/Date.js").DateObject> | Interval | import("./Range.js").Range<Timestamp, import("../data/DateTime/Timestamp.js").TimestampObject> | import("../data/Enumerated/Enum.js").Enum<string, [string, ...string[]]> | Box | Circle | Line | Point | LineSegment | Polygon | JSON | Money | Float4 | Float8 | import("./Range.js").Range<Int4, import("../data/Numeric/Int4.js").Int4Object> | import("./Range.js").Range<Int8, import("../data/Numeric/Int8.js").Int8Object> | import("./MultiRange.js").MultiRange<Date, import("../data/DateTime/Date.js").DateObject> | import("./MultiRange.js").MultiRange<Timestamp, import("../data/DateTime/Timestamp.js").TimestampObject> | import("./MultiRange.js").MultiRange<Int4, import("../data/Numeric/Int4.js").Int4Object> | import("./MultiRange.js").MultiRange<Int8, import("../data/Numeric/Int8.js").Int8Object> | null;
        serialize: (value: import("../index.js").FromParameters<import("../index.js").Constructors>) => string;
    };
    1009: {
        parse: (value: string | null) => any[] | null;
        serialize: (value: string | import("../index.js").FromParameters<import("../index.js").Constructors>[] | null) => string;
    };
    1082: {
        parse: (value: string | null) => ByteA | Int2 | Int4 | Int8 | OIDClass | Text | Character<number> | CharacterVarying<number> | Name | UUID | Bit<number> | BitVarying<number> | Boolean | Time | Timestamp | Date | import("./Range.js").Range<Date, import("../data/DateTime/Date.js").DateObject> | Interval | import("./Range.js").Range<Timestamp, import("../data/DateTime/Timestamp.js").TimestampObject> | import("../data/Enumerated/Enum.js").Enum<string, [string, ...string[]]> | Box | Circle | Line | Point | LineSegment | Polygon | JSON | Money | Float4 | Float8 | import("./Range.js").Range<Int4, import("../data/Numeric/Int4.js").Int4Object> | import("./Range.js").Range<Int8, import("../data/Numeric/Int8.js").Int8Object> | import("./MultiRange.js").MultiRange<Date, import("../data/DateTime/Date.js").DateObject> | import("./MultiRange.js").MultiRange<Timestamp, import("../data/DateTime/Timestamp.js").TimestampObject> | import("./MultiRange.js").MultiRange<Int4, import("../data/Numeric/Int4.js").Int4Object> | import("./MultiRange.js").MultiRange<Int8, import("../data/Numeric/Int8.js").Int8Object> | null;
        serialize: (value: import("../index.js").FromParameters<import("../index.js").Constructors>) => string;
    };
    1182: {
        parse: (value: string | null) => any[] | null;
        serialize: (value: string | import("../index.js").FromParameters<import("../index.js").Constructors>[] | null) => string;
    };
    4535: {
        parse: (value: string | null) => ByteA | Int2 | Int4 | Int8 | OIDClass | Text | Character<number> | CharacterVarying<number> | Name | UUID | Bit<number> | BitVarying<number> | Boolean | Time | Timestamp | Date | DateMultiRange | import("./Range.js").Range<Date, import("../data/DateTime/Date.js").DateObject> | Interval | import("./Range.js").Range<Timestamp, import("../data/DateTime/Timestamp.js").TimestampObject> | import("../data/Enumerated/Enum.js").Enum<string, [string, ...string[]]> | Box | Circle | Line | Point | LineSegment | Polygon | JSON | Money | Float4 | Float8 | import("./Range.js").Range<Int4, import("../data/Numeric/Int4.js").Int4Object> | import("./Range.js").Range<Int8, import("../data/Numeric/Int8.js").Int8Object> | import("./MultiRange.js").MultiRange<Date, import("../data/DateTime/Date.js").DateObject> | import("./MultiRange.js").MultiRange<Timestamp, import("../data/DateTime/Timestamp.js").TimestampObject> | import("./MultiRange.js").MultiRange<Int4, import("../data/Numeric/Int4.js").Int4Object> | import("./MultiRange.js").MultiRange<Int8, import("../data/Numeric/Int8.js").Int8Object> | null;
        serialize: (value: import("../index.js").FromParameters<import("../index.js").Constructors>) => string;
    };
    6155: {
        parse: (value: string | null) => any[] | null;
        serialize: (value: string | import("../index.js").FromParameters<import("../index.js").Constructors>[] | null) => string;
    };
    3912: {
        parse: (value: string | null) => ByteA | Int2 | Int4 | Int8 | OIDClass | Text | Character<number> | CharacterVarying<number> | Name | UUID | Bit<number> | BitVarying<number> | Boolean | Time | Timestamp | Date | DateRange | import("./Range.js").Range<Date, import("../data/DateTime/Date.js").DateObject> | Interval | import("./Range.js").Range<Timestamp, import("../data/DateTime/Timestamp.js").TimestampObject> | import("../data/Enumerated/Enum.js").Enum<string, [string, ...string[]]> | Box | Circle | Line | Point | LineSegment | Polygon | JSON | Money | Float4 | Float8 | import("./Range.js").Range<Int4, import("../data/Numeric/Int4.js").Int4Object> | import("./Range.js").Range<Int8, import("../data/Numeric/Int8.js").Int8Object> | import("./MultiRange.js").MultiRange<Date, import("../data/DateTime/Date.js").DateObject> | import("./MultiRange.js").MultiRange<Timestamp, import("../data/DateTime/Timestamp.js").TimestampObject> | import("./MultiRange.js").MultiRange<Int4, import("../data/Numeric/Int4.js").Int4Object> | import("./MultiRange.js").MultiRange<Int8, import("../data/Numeric/Int8.js").Int8Object> | null;
        serialize: (value: import("../index.js").FromParameters<import("../index.js").Constructors>) => string;
    };
    3913: {
        parse: (value: string | null) => any[] | null;
        serialize: (value: string | import("../index.js").FromParameters<import("../index.js").Constructors>[] | null) => string;
    };
    1186: {
        parse: (value: string | null) => ByteA | Int2 | Int4 | Int8 | OIDClass | Text | Character<number> | CharacterVarying<number> | Name | UUID | Bit<number> | BitVarying<number> | Boolean | Time | Timestamp | Date | import("./Range.js").Range<Date, import("../data/DateTime/Date.js").DateObject> | Interval | import("./Range.js").Range<Timestamp, import("../data/DateTime/Timestamp.js").TimestampObject> | import("../data/Enumerated/Enum.js").Enum<string, [string, ...string[]]> | Box | Circle | Line | Point | LineSegment | Polygon | JSON | Money | Float4 | Float8 | import("./Range.js").Range<Int4, import("../data/Numeric/Int4.js").Int4Object> | import("./Range.js").Range<Int8, import("../data/Numeric/Int8.js").Int8Object> | import("./MultiRange.js").MultiRange<Date, import("../data/DateTime/Date.js").DateObject> | import("./MultiRange.js").MultiRange<Timestamp, import("../data/DateTime/Timestamp.js").TimestampObject> | import("./MultiRange.js").MultiRange<Int4, import("../data/Numeric/Int4.js").Int4Object> | import("./MultiRange.js").MultiRange<Int8, import("../data/Numeric/Int8.js").Int8Object> | null;
        serialize: (value: import("../index.js").FromParameters<import("../index.js").Constructors>) => string;
    };
    1187: {
        parse: (value: string | null) => any[] | null;
        serialize: (value: string | import("../index.js").FromParameters<import("../index.js").Constructors>[] | null) => string;
    };
    1083: {
        parse: (value: string | null) => ByteA | Int2 | Int4 | Int8 | OIDClass | Text | Character<number> | CharacterVarying<number> | Name | UUID | Bit<number> | BitVarying<number> | Boolean | Time | Timestamp | Date | import("./Range.js").Range<Date, import("../data/DateTime/Date.js").DateObject> | Interval | import("./Range.js").Range<Timestamp, import("../data/DateTime/Timestamp.js").TimestampObject> | import("../data/Enumerated/Enum.js").Enum<string, [string, ...string[]]> | Box | Circle | Line | Point | LineSegment | Polygon | JSON | Money | Float4 | Float8 | import("./Range.js").Range<Int4, import("../data/Numeric/Int4.js").Int4Object> | import("./Range.js").Range<Int8, import("../data/Numeric/Int8.js").Int8Object> | import("./MultiRange.js").MultiRange<Date, import("../data/DateTime/Date.js").DateObject> | import("./MultiRange.js").MultiRange<Timestamp, import("../data/DateTime/Timestamp.js").TimestampObject> | import("./MultiRange.js").MultiRange<Int4, import("../data/Numeric/Int4.js").Int4Object> | import("./MultiRange.js").MultiRange<Int8, import("../data/Numeric/Int8.js").Int8Object> | null;
        serialize: (value: import("../index.js").FromParameters<import("../index.js").Constructors>) => string;
    };
    1183: {
        parse: (value: string | null) => any[] | null;
        serialize: (value: string | import("../index.js").FromParameters<import("../index.js").Constructors>[] | null) => string;
    };
    1114: {
        parse: (value: string | null) => ByteA | Int2 | Int4 | Int8 | OIDClass | Text | Character<number> | CharacterVarying<number> | Name | UUID | Bit<number> | BitVarying<number> | Boolean | Time | Timestamp | Date | import("./Range.js").Range<Date, import("../data/DateTime/Date.js").DateObject> | Interval | import("./Range.js").Range<Timestamp, import("../data/DateTime/Timestamp.js").TimestampObject> | import("../data/Enumerated/Enum.js").Enum<string, [string, ...string[]]> | Box | Circle | Line | Point | LineSegment | Polygon | JSON | Money | Float4 | Float8 | import("./Range.js").Range<Int4, import("../data/Numeric/Int4.js").Int4Object> | import("./Range.js").Range<Int8, import("../data/Numeric/Int8.js").Int8Object> | import("./MultiRange.js").MultiRange<Date, import("../data/DateTime/Date.js").DateObject> | import("./MultiRange.js").MultiRange<Timestamp, import("../data/DateTime/Timestamp.js").TimestampObject> | import("./MultiRange.js").MultiRange<Int4, import("../data/Numeric/Int4.js").Int4Object> | import("./MultiRange.js").MultiRange<Int8, import("../data/Numeric/Int8.js").Int8Object> | null;
        serialize: (value: import("../index.js").FromParameters<import("../index.js").Constructors>) => string;
    };
    1115: {
        parse: (value: string | null) => any[] | null;
        serialize: (value: string | import("../index.js").FromParameters<import("../index.js").Constructors>[] | null) => string;
    };
    4533: {
        parse: (value: string | null) => ByteA | Int2 | Int4 | Int8 | OIDClass | Text | Character<number> | CharacterVarying<number> | Name | UUID | Bit<number> | BitVarying<number> | Boolean | Time | Timestamp | Date | import("./Range.js").Range<Date, import("../data/DateTime/Date.js").DateObject> | Interval | TimestampMultiRange | import("./Range.js").Range<Timestamp, import("../data/DateTime/Timestamp.js").TimestampObject> | import("../data/Enumerated/Enum.js").Enum<string, [string, ...string[]]> | Box | Circle | Line | Point | LineSegment | Polygon | JSON | Money | Float4 | Float8 | import("./Range.js").Range<Int4, import("../data/Numeric/Int4.js").Int4Object> | import("./Range.js").Range<Int8, import("../data/Numeric/Int8.js").Int8Object> | import("./MultiRange.js").MultiRange<Date, import("../data/DateTime/Date.js").DateObject> | import("./MultiRange.js").MultiRange<Timestamp, import("../data/DateTime/Timestamp.js").TimestampObject> | import("./MultiRange.js").MultiRange<Int4, import("../data/Numeric/Int4.js").Int4Object> | import("./MultiRange.js").MultiRange<Int8, import("../data/Numeric/Int8.js").Int8Object> | null;
        serialize: (value: import("../index.js").FromParameters<import("../index.js").Constructors>) => string;
    };
    6152: {
        parse: (value: string | null) => any[] | null;
        serialize: (value: string | import("../index.js").FromParameters<import("../index.js").Constructors>[] | null) => string;
    };
    3908: {
        parse: (value: string | null) => ByteA | Int2 | Int4 | Int8 | OIDClass | Text | Character<number> | CharacterVarying<number> | Name | UUID | Bit<number> | BitVarying<number> | Boolean | Time | Timestamp | Date | import("./Range.js").Range<Date, import("../data/DateTime/Date.js").DateObject> | Interval | TimestampRange | import("./Range.js").Range<Timestamp, import("../data/DateTime/Timestamp.js").TimestampObject> | import("../data/Enumerated/Enum.js").Enum<string, [string, ...string[]]> | Box | Circle | Line | Point | LineSegment | Polygon | JSON | Money | Float4 | Float8 | import("./Range.js").Range<Int4, import("../data/Numeric/Int4.js").Int4Object> | import("./Range.js").Range<Int8, import("../data/Numeric/Int8.js").Int8Object> | import("./MultiRange.js").MultiRange<Date, import("../data/DateTime/Date.js").DateObject> | import("./MultiRange.js").MultiRange<Timestamp, import("../data/DateTime/Timestamp.js").TimestampObject> | import("./MultiRange.js").MultiRange<Int4, import("../data/Numeric/Int4.js").Int4Object> | import("./MultiRange.js").MultiRange<Int8, import("../data/Numeric/Int8.js").Int8Object> | null;
        serialize: (value: import("../index.js").FromParameters<import("../index.js").Constructors>) => string;
    };
    3909: {
        parse: (value: string | null) => any[] | null;
        serialize: (value: string | import("../index.js").FromParameters<import("../index.js").Constructors>[] | null) => string;
    };
    1184: {
        parse: (value: string | null) => ByteA | Int2 | Int4 | Int8 | OIDClass | Text | Character<number> | CharacterVarying<number> | Name | UUID | Bit<number> | BitVarying<number> | Boolean | Time | TimestampTZ | Timestamp | Date | import("./Range.js").Range<Date, import("../data/DateTime/Date.js").DateObject> | Interval | import("./Range.js").Range<Timestamp, import("../data/DateTime/Timestamp.js").TimestampObject> | import("../data/Enumerated/Enum.js").Enum<string, [string, ...string[]]> | Box | Circle | Line | Point | LineSegment | Polygon | JSON | Money | Float4 | Float8 | import("./Range.js").Range<Int4, import("../data/Numeric/Int4.js").Int4Object> | import("./Range.js").Range<Int8, import("../data/Numeric/Int8.js").Int8Object> | import("./MultiRange.js").MultiRange<Date, import("../data/DateTime/Date.js").DateObject> | import("./MultiRange.js").MultiRange<Timestamp, import("../data/DateTime/Timestamp.js").TimestampObject> | import("./MultiRange.js").MultiRange<Int4, import("../data/Numeric/Int4.js").Int4Object> | import("./MultiRange.js").MultiRange<Int8, import("../data/Numeric/Int8.js").Int8Object> | null;
        serialize: (value: import("../index.js").FromParameters<import("../index.js").Constructors>) => string;
    };
    1185: {
        parse: (value: string | null) => any[] | null;
        serialize: (value: string | import("../index.js").FromParameters<import("../index.js").Constructors>[] | null) => string;
    };
    4534: {
        parse: (value: string | null) => ByteA | Int2 | Int4 | Int8 | OIDClass | Text | Character<number> | CharacterVarying<number> | Name | UUID | Bit<number> | BitVarying<number> | Boolean | Time | Timestamp | Date | import("./Range.js").Range<Date, import("../data/DateTime/Date.js").DateObject> | Interval | import("./Range.js").Range<Timestamp, import("../data/DateTime/Timestamp.js").TimestampObject> | TimestampTZMultiRange | import("../data/Enumerated/Enum.js").Enum<string, [string, ...string[]]> | Box | Circle | Line | Point | LineSegment | Polygon | JSON | Money | Float4 | Float8 | import("./Range.js").Range<Int4, import("../data/Numeric/Int4.js").Int4Object> | import("./Range.js").Range<Int8, import("../data/Numeric/Int8.js").Int8Object> | import("./MultiRange.js").MultiRange<Date, import("../data/DateTime/Date.js").DateObject> | import("./MultiRange.js").MultiRange<Timestamp, import("../data/DateTime/Timestamp.js").TimestampObject> | import("./MultiRange.js").MultiRange<Int4, import("../data/Numeric/Int4.js").Int4Object> | import("./MultiRange.js").MultiRange<Int8, import("../data/Numeric/Int8.js").Int8Object> | null;
        serialize: (value: import("../index.js").FromParameters<import("../index.js").Constructors>) => string;
    };
    6153: {
        parse: (value: string | null) => any[] | null;
        serialize: (value: string | import("../index.js").FromParameters<import("../index.js").Constructors>[] | null) => string;
    };
    3910: {
        parse: (value: string | null) => ByteA | Int2 | Int4 | Int8 | OIDClass | Text | Character<number> | CharacterVarying<number> | Name | UUID | Bit<number> | BitVarying<number> | Boolean | Time | Timestamp | Date | import("./Range.js").Range<Date, import("../data/DateTime/Date.js").DateObject> | Interval | import("./Range.js").Range<Timestamp, import("../data/DateTime/Timestamp.js").TimestampObject> | TimestampTZRange | import("../data/Enumerated/Enum.js").Enum<string, [string, ...string[]]> | Box | Circle | Line | Point | LineSegment | Polygon | JSON | Money | Float4 | Float8 | import("./Range.js").Range<Int4, import("../data/Numeric/Int4.js").Int4Object> | import("./Range.js").Range<Int8, import("../data/Numeric/Int8.js").Int8Object> | import("./MultiRange.js").MultiRange<Date, import("../data/DateTime/Date.js").DateObject> | import("./MultiRange.js").MultiRange<Timestamp, import("../data/DateTime/Timestamp.js").TimestampObject> | import("./MultiRange.js").MultiRange<Int4, import("../data/Numeric/Int4.js").Int4Object> | import("./MultiRange.js").MultiRange<Int8, import("../data/Numeric/Int8.js").Int8Object> | null;
        serialize: (value: import("../index.js").FromParameters<import("../index.js").Constructors>) => string;
    };
    3911: {
        parse: (value: string | null) => any[] | null;
        serialize: (value: string | import("../index.js").FromParameters<import("../index.js").Constructors>[] | null) => string;
    };
    1266: {
        parse: (value: string | null) => ByteA | Int2 | Int4 | Int8 | OIDClass | Text | Character<number> | CharacterVarying<number> | Name | UUID | Bit<number> | BitVarying<number> | Boolean | Time | Timestamp | Date | TimeTZ | import("./Range.js").Range<Date, import("../data/DateTime/Date.js").DateObject> | Interval | import("./Range.js").Range<Timestamp, import("../data/DateTime/Timestamp.js").TimestampObject> | import("../data/Enumerated/Enum.js").Enum<string, [string, ...string[]]> | Box | Circle | Line | Point | LineSegment | Polygon | JSON | Money | Float4 | Float8 | import("./Range.js").Range<Int4, import("../data/Numeric/Int4.js").Int4Object> | import("./Range.js").Range<Int8, import("../data/Numeric/Int8.js").Int8Object> | import("./MultiRange.js").MultiRange<Date, import("../data/DateTime/Date.js").DateObject> | import("./MultiRange.js").MultiRange<Timestamp, import("../data/DateTime/Timestamp.js").TimestampObject> | import("./MultiRange.js").MultiRange<Int4, import("../data/Numeric/Int4.js").Int4Object> | import("./MultiRange.js").MultiRange<Int8, import("../data/Numeric/Int8.js").Int8Object> | null;
        serialize: (value: import("../index.js").FromParameters<import("../index.js").Constructors>) => string;
    };
    1270: {
        parse: (value: string | null) => any[] | null;
        serialize: (value: string | import("../index.js").FromParameters<import("../index.js").Constructors>[] | null) => string;
    };
    603: {
        parse: (value: string | null) => ByteA | Int2 | Int4 | Int8 | OIDClass | Text | Character<number> | CharacterVarying<number> | Name | UUID | Bit<number> | BitVarying<number> | Boolean | Time | Timestamp | Date | import("./Range.js").Range<Date, import("../data/DateTime/Date.js").DateObject> | Interval | import("./Range.js").Range<Timestamp, import("../data/DateTime/Timestamp.js").TimestampObject> | import("../data/Enumerated/Enum.js").Enum<string, [string, ...string[]]> | Box | Circle | Line | Point | LineSegment | Polygon | JSON | Money | Float4 | Float8 | import("./Range.js").Range<Int4, import("../data/Numeric/Int4.js").Int4Object> | import("./Range.js").Range<Int8, import("../data/Numeric/Int8.js").Int8Object> | import("./MultiRange.js").MultiRange<Date, import("../data/DateTime/Date.js").DateObject> | import("./MultiRange.js").MultiRange<Timestamp, import("../data/DateTime/Timestamp.js").TimestampObject> | import("./MultiRange.js").MultiRange<Int4, import("../data/Numeric/Int4.js").Int4Object> | import("./MultiRange.js").MultiRange<Int8, import("../data/Numeric/Int8.js").Int8Object> | null;
        serialize: (value: import("../index.js").FromParameters<import("../index.js").Constructors>) => string;
    };
    1020: {
        parse: (value: string | null) => any[] | null;
        serialize: (value: string | import("../index.js").FromParameters<import("../index.js").Constructors>[] | null) => string;
    };
    718: {
        parse: (value: string | null) => ByteA | Int2 | Int4 | Int8 | OIDClass | Text | Character<number> | CharacterVarying<number> | Name | UUID | Bit<number> | BitVarying<number> | Boolean | Time | Timestamp | Date | import("./Range.js").Range<Date, import("../data/DateTime/Date.js").DateObject> | Interval | import("./Range.js").Range<Timestamp, import("../data/DateTime/Timestamp.js").TimestampObject> | import("../data/Enumerated/Enum.js").Enum<string, [string, ...string[]]> | Box | Circle | Line | Point | LineSegment | Polygon | JSON | Money | Float4 | Float8 | import("./Range.js").Range<Int4, import("../data/Numeric/Int4.js").Int4Object> | import("./Range.js").Range<Int8, import("../data/Numeric/Int8.js").Int8Object> | import("./MultiRange.js").MultiRange<Date, import("../data/DateTime/Date.js").DateObject> | import("./MultiRange.js").MultiRange<Timestamp, import("../data/DateTime/Timestamp.js").TimestampObject> | import("./MultiRange.js").MultiRange<Int4, import("../data/Numeric/Int4.js").Int4Object> | import("./MultiRange.js").MultiRange<Int8, import("../data/Numeric/Int8.js").Int8Object> | null;
        serialize: (value: import("../index.js").FromParameters<import("../index.js").Constructors>) => string;
    };
    719: {
        parse: (value: string | null) => any[] | null;
        serialize: (value: string | import("../index.js").FromParameters<import("../index.js").Constructors>[] | null) => string;
    };
    628: {
        parse: (value: string | null) => ByteA | Int2 | Int4 | Int8 | OIDClass | Text | Character<number> | CharacterVarying<number> | Name | UUID | Bit<number> | BitVarying<number> | Boolean | Time | Timestamp | Date | import("./Range.js").Range<Date, import("../data/DateTime/Date.js").DateObject> | Interval | import("./Range.js").Range<Timestamp, import("../data/DateTime/Timestamp.js").TimestampObject> | import("../data/Enumerated/Enum.js").Enum<string, [string, ...string[]]> | Box | Circle | Line | Point | LineSegment | Polygon | JSON | Money | Float4 | Float8 | import("./Range.js").Range<Int4, import("../data/Numeric/Int4.js").Int4Object> | import("./Range.js").Range<Int8, import("../data/Numeric/Int8.js").Int8Object> | import("./MultiRange.js").MultiRange<Date, import("../data/DateTime/Date.js").DateObject> | import("./MultiRange.js").MultiRange<Timestamp, import("../data/DateTime/Timestamp.js").TimestampObject> | import("./MultiRange.js").MultiRange<Int4, import("../data/Numeric/Int4.js").Int4Object> | import("./MultiRange.js").MultiRange<Int8, import("../data/Numeric/Int8.js").Int8Object> | null;
        serialize: (value: import("../index.js").FromParameters<import("../index.js").Constructors>) => string;
    };
    629: {
        parse: (value: string | null) => any[] | null;
        serialize: (value: string | import("../index.js").FromParameters<import("../index.js").Constructors>[] | null) => string;
    };
    601: {
        parse: (value: string | null) => ByteA | Int2 | Int4 | Int8 | OIDClass | Text | Character<number> | CharacterVarying<number> | Name | UUID | Bit<number> | BitVarying<number> | Boolean | Time | Timestamp | Date | import("./Range.js").Range<Date, import("../data/DateTime/Date.js").DateObject> | Interval | import("./Range.js").Range<Timestamp, import("../data/DateTime/Timestamp.js").TimestampObject> | import("../data/Enumerated/Enum.js").Enum<string, [string, ...string[]]> | Box | Circle | Line | Point | LineSegment | Polygon | JSON | Money | Float4 | Float8 | import("./Range.js").Range<Int4, import("../data/Numeric/Int4.js").Int4Object> | import("./Range.js").Range<Int8, import("../data/Numeric/Int8.js").Int8Object> | import("./MultiRange.js").MultiRange<Date, import("../data/DateTime/Date.js").DateObject> | import("./MultiRange.js").MultiRange<Timestamp, import("../data/DateTime/Timestamp.js").TimestampObject> | import("./MultiRange.js").MultiRange<Int4, import("../data/Numeric/Int4.js").Int4Object> | import("./MultiRange.js").MultiRange<Int8, import("../data/Numeric/Int8.js").Int8Object> | null;
        serialize: (value: import("../index.js").FromParameters<import("../index.js").Constructors>) => string;
    };
    1018: {
        parse: (value: string | null) => any[] | null;
        serialize: (value: string | import("../index.js").FromParameters<import("../index.js").Constructors>[] | null) => string;
    };
    602: {
        parse: (value: string | null) => ByteA | Int2 | Int4 | Int8 | OIDClass | Text | Character<number> | CharacterVarying<number> | Name | UUID | Bit<number> | BitVarying<number> | Boolean | Time | Timestamp | Date | import("./Range.js").Range<Date, import("../data/DateTime/Date.js").DateObject> | Interval | import("./Range.js").Range<Timestamp, import("../data/DateTime/Timestamp.js").TimestampObject> | import("../data/Enumerated/Enum.js").Enum<string, [string, ...string[]]> | Box | Circle | Line | Point | LineSegment | Path | Polygon | JSON | Money | Float4 | Float8 | import("./Range.js").Range<Int4, import("../data/Numeric/Int4.js").Int4Object> | import("./Range.js").Range<Int8, import("../data/Numeric/Int8.js").Int8Object> | import("./MultiRange.js").MultiRange<Date, import("../data/DateTime/Date.js").DateObject> | import("./MultiRange.js").MultiRange<Timestamp, import("../data/DateTime/Timestamp.js").TimestampObject> | import("./MultiRange.js").MultiRange<Int4, import("../data/Numeric/Int4.js").Int4Object> | import("./MultiRange.js").MultiRange<Int8, import("../data/Numeric/Int8.js").Int8Object> | null;
        serialize: (value: import("../index.js").FromParameters<import("../index.js").Constructors>) => string;
    };
    1019: {
        parse: (value: string | null) => any[] | null;
        serialize: (value: string | import("../index.js").FromParameters<import("../index.js").Constructors>[] | null) => string;
    };
    600: {
        parse: (value: string | null) => ByteA | Int2 | Int4 | Int8 | OIDClass | Text | Character<number> | CharacterVarying<number> | Name | UUID | Bit<number> | BitVarying<number> | Boolean | Time | Timestamp | Date | import("./Range.js").Range<Date, import("../data/DateTime/Date.js").DateObject> | Interval | import("./Range.js").Range<Timestamp, import("../data/DateTime/Timestamp.js").TimestampObject> | import("../data/Enumerated/Enum.js").Enum<string, [string, ...string[]]> | Box | Circle | Line | Point | LineSegment | Polygon | JSON | Money | Float4 | Float8 | import("./Range.js").Range<Int4, import("../data/Numeric/Int4.js").Int4Object> | import("./Range.js").Range<Int8, import("../data/Numeric/Int8.js").Int8Object> | import("./MultiRange.js").MultiRange<Date, import("../data/DateTime/Date.js").DateObject> | import("./MultiRange.js").MultiRange<Timestamp, import("../data/DateTime/Timestamp.js").TimestampObject> | import("./MultiRange.js").MultiRange<Int4, import("../data/Numeric/Int4.js").Int4Object> | import("./MultiRange.js").MultiRange<Int8, import("../data/Numeric/Int8.js").Int8Object> | null;
        serialize: (value: import("../index.js").FromParameters<import("../index.js").Constructors>) => string;
    };
    1017: {
        parse: (value: string | null) => any[] | null;
        serialize: (value: string | import("../index.js").FromParameters<import("../index.js").Constructors>[] | null) => string;
    };
    604: {
        parse: (value: string | null) => ByteA | Int2 | Int4 | Int8 | OIDClass | Text | Character<number> | CharacterVarying<number> | Name | UUID | Bit<number> | BitVarying<number> | Boolean | Time | Timestamp | Date | import("./Range.js").Range<Date, import("../data/DateTime/Date.js").DateObject> | Interval | import("./Range.js").Range<Timestamp, import("../data/DateTime/Timestamp.js").TimestampObject> | import("../data/Enumerated/Enum.js").Enum<string, [string, ...string[]]> | Box | Circle | Line | Point | LineSegment | Polygon | JSON | Money | Float4 | Float8 | import("./Range.js").Range<Int4, import("../data/Numeric/Int4.js").Int4Object> | import("./Range.js").Range<Int8, import("../data/Numeric/Int8.js").Int8Object> | import("./MultiRange.js").MultiRange<Date, import("../data/DateTime/Date.js").DateObject> | import("./MultiRange.js").MultiRange<Timestamp, import("../data/DateTime/Timestamp.js").TimestampObject> | import("./MultiRange.js").MultiRange<Int4, import("../data/Numeric/Int4.js").Int4Object> | import("./MultiRange.js").MultiRange<Int8, import("../data/Numeric/Int8.js").Int8Object> | null;
        serialize: (value: import("../index.js").FromParameters<import("../index.js").Constructors>) => string;
    };
    1027: {
        parse: (value: string | null) => any[] | null;
        serialize: (value: string | import("../index.js").FromParameters<import("../index.js").Constructors>[] | null) => string;
    };
    114: {
        parse: (value: string | null) => ByteA | Int2 | Int4 | Int8 | OIDClass | Text | Character<number> | CharacterVarying<number> | Name | UUID | Bit<number> | BitVarying<number> | Boolean | Time | Timestamp | Date | import("./Range.js").Range<Date, import("../data/DateTime/Date.js").DateObject> | Interval | import("./Range.js").Range<Timestamp, import("../data/DateTime/Timestamp.js").TimestampObject> | import("../data/Enumerated/Enum.js").Enum<string, [string, ...string[]]> | Box | Circle | Line | Point | LineSegment | Polygon | JSON | Money | Float4 | Float8 | import("./Range.js").Range<Int4, import("../data/Numeric/Int4.js").Int4Object> | import("./Range.js").Range<Int8, import("../data/Numeric/Int8.js").Int8Object> | import("./MultiRange.js").MultiRange<Date, import("../data/DateTime/Date.js").DateObject> | import("./MultiRange.js").MultiRange<Timestamp, import("../data/DateTime/Timestamp.js").TimestampObject> | import("./MultiRange.js").MultiRange<Int4, import("../data/Numeric/Int4.js").Int4Object> | import("./MultiRange.js").MultiRange<Int8, import("../data/Numeric/Int8.js").Int8Object> | null;
        serialize: (value: import("../index.js").FromParameters<import("../index.js").Constructors>) => string;
    };
    199: {
        parse: (value: string | null) => any[] | null;
        serialize: (value: string | import("../index.js").FromParameters<import("../index.js").Constructors>[] | null) => string;
    };
    3802: {
        parse: (value: string | null) => ByteA | Int2 | Int4 | Int8 | OIDClass | Text | Character<number> | CharacterVarying<number> | Name | UUID | Bit<number> | BitVarying<number> | Boolean | Time | Timestamp | Date | import("./Range.js").Range<Date, import("../data/DateTime/Date.js").DateObject> | Interval | import("./Range.js").Range<Timestamp, import("../data/DateTime/Timestamp.js").TimestampObject> | import("../data/Enumerated/Enum.js").Enum<string, [string, ...string[]]> | Box | Circle | Line | Point | LineSegment | Polygon | JSON | Money | Float4 | Float8 | import("./Range.js").Range<Int4, import("../data/Numeric/Int4.js").Int4Object> | import("./Range.js").Range<Int8, import("../data/Numeric/Int8.js").Int8Object> | import("./MultiRange.js").MultiRange<Date, import("../data/DateTime/Date.js").DateObject> | import("./MultiRange.js").MultiRange<Timestamp, import("../data/DateTime/Timestamp.js").TimestampObject> | import("./MultiRange.js").MultiRange<Int4, import("../data/Numeric/Int4.js").Int4Object> | import("./MultiRange.js").MultiRange<Int8, import("../data/Numeric/Int8.js").Int8Object> | null;
        serialize: (value: import("../index.js").FromParameters<import("../index.js").Constructors>) => string;
    };
    3807: {
        parse: (value: string | null) => any[] | null;
        serialize: (value: string | import("../index.js").FromParameters<import("../index.js").Constructors>[] | null) => string;
    };
    790: {
        parse: (value: string | null) => ByteA | Int2 | Int4 | Int8 | OIDClass | Text | Character<number> | CharacterVarying<number> | Name | UUID | Bit<number> | BitVarying<number> | Boolean | Time | Timestamp | Date | import("./Range.js").Range<Date, import("../data/DateTime/Date.js").DateObject> | Interval | import("./Range.js").Range<Timestamp, import("../data/DateTime/Timestamp.js").TimestampObject> | import("../data/Enumerated/Enum.js").Enum<string, [string, ...string[]]> | Box | Circle | Line | Point | LineSegment | Polygon | JSON | Money | Float4 | Float8 | import("./Range.js").Range<Int4, import("../data/Numeric/Int4.js").Int4Object> | import("./Range.js").Range<Int8, import("../data/Numeric/Int8.js").Int8Object> | import("./MultiRange.js").MultiRange<Date, import("../data/DateTime/Date.js").DateObject> | import("./MultiRange.js").MultiRange<Timestamp, import("../data/DateTime/Timestamp.js").TimestampObject> | import("./MultiRange.js").MultiRange<Int4, import("../data/Numeric/Int4.js").Int4Object> | import("./MultiRange.js").MultiRange<Int8, import("../data/Numeric/Int8.js").Int8Object> | null;
        serialize: (value: import("../index.js").FromParameters<import("../index.js").Constructors>) => string;
    };
    791: {
        parse: (value: string | null) => any[] | null;
        serialize: (value: string | import("../index.js").FromParameters<import("../index.js").Constructors>[] | null) => string;
    };
    700: {
        parse: (value: string | null) => ByteA | Int2 | Int4 | Int8 | OIDClass | Text | Character<number> | CharacterVarying<number> | Name | UUID | Bit<number> | BitVarying<number> | Boolean | Time | Timestamp | Date | import("./Range.js").Range<Date, import("../data/DateTime/Date.js").DateObject> | Interval | import("./Range.js").Range<Timestamp, import("../data/DateTime/Timestamp.js").TimestampObject> | import("../data/Enumerated/Enum.js").Enum<string, [string, ...string[]]> | Box | Circle | Line | Point | LineSegment | Polygon | JSON | Money | Float4 | Float8 | import("./Range.js").Range<Int4, import("../data/Numeric/Int4.js").Int4Object> | import("./Range.js").Range<Int8, import("../data/Numeric/Int8.js").Int8Object> | import("./MultiRange.js").MultiRange<Date, import("../data/DateTime/Date.js").DateObject> | import("./MultiRange.js").MultiRange<Timestamp, import("../data/DateTime/Timestamp.js").TimestampObject> | import("./MultiRange.js").MultiRange<Int4, import("../data/Numeric/Int4.js").Int4Object> | import("./MultiRange.js").MultiRange<Int8, import("../data/Numeric/Int8.js").Int8Object> | null;
        serialize: (value: import("../index.js").FromParameters<import("../index.js").Constructors>) => string;
    };
    1021: {
        parse: (value: string | null) => any[] | null;
        serialize: (value: string | import("../index.js").FromParameters<import("../index.js").Constructors>[] | null) => string;
    };
    701: {
        parse: (value: string | null) => ByteA | Int2 | Int4 | Int8 | OIDClass | Text | Character<number> | CharacterVarying<number> | Name | UUID | Bit<number> | BitVarying<number> | Boolean | Time | Timestamp | Date | import("./Range.js").Range<Date, import("../data/DateTime/Date.js").DateObject> | Interval | import("./Range.js").Range<Timestamp, import("../data/DateTime/Timestamp.js").TimestampObject> | import("../data/Enumerated/Enum.js").Enum<string, [string, ...string[]]> | Box | Circle | Line | Point | LineSegment | Polygon | JSON | Money | Float4 | Float8 | import("./Range.js").Range<Int4, import("../data/Numeric/Int4.js").Int4Object> | import("./Range.js").Range<Int8, import("../data/Numeric/Int8.js").Int8Object> | import("./MultiRange.js").MultiRange<Date, import("../data/DateTime/Date.js").DateObject> | import("./MultiRange.js").MultiRange<Timestamp, import("../data/DateTime/Timestamp.js").TimestampObject> | import("./MultiRange.js").MultiRange<Int4, import("../data/Numeric/Int4.js").Int4Object> | import("./MultiRange.js").MultiRange<Int8, import("../data/Numeric/Int8.js").Int8Object> | null;
        serialize: (value: import("../index.js").FromParameters<import("../index.js").Constructors>) => string;
    };
    1022: {
        parse: (value: string | null) => any[] | null;
        serialize: (value: string | import("../index.js").FromParameters<import("../index.js").Constructors>[] | null) => string;
    };
    21: {
        parse: (value: string | null) => ByteA | Int2 | Int4 | Int8 | OIDClass | Text | Character<number> | CharacterVarying<number> | Name | UUID | Bit<number> | BitVarying<number> | Boolean | Time | Timestamp | Date | import("./Range.js").Range<Date, import("../data/DateTime/Date.js").DateObject> | Interval | import("./Range.js").Range<Timestamp, import("../data/DateTime/Timestamp.js").TimestampObject> | import("../data/Enumerated/Enum.js").Enum<string, [string, ...string[]]> | Box | Circle | Line | Point | LineSegment | Polygon | JSON | Money | Float4 | Float8 | import("./Range.js").Range<Int4, import("../data/Numeric/Int4.js").Int4Object> | import("./Range.js").Range<Int8, import("../data/Numeric/Int8.js").Int8Object> | import("./MultiRange.js").MultiRange<Date, import("../data/DateTime/Date.js").DateObject> | import("./MultiRange.js").MultiRange<Timestamp, import("../data/DateTime/Timestamp.js").TimestampObject> | import("./MultiRange.js").MultiRange<Int4, import("../data/Numeric/Int4.js").Int4Object> | import("./MultiRange.js").MultiRange<Int8, import("../data/Numeric/Int8.js").Int8Object> | null;
        serialize: (value: import("../index.js").FromParameters<import("../index.js").Constructors>) => string;
    };
    1005: {
        parse: (value: string | null) => any[] | null;
        serialize: (value: string | import("../index.js").FromParameters<import("../index.js").Constructors>[] | null) => string;
    };
    23: {
        parse: (value: string | null) => ByteA | Int2 | Int4 | Int8 | OIDClass | Text | Character<number> | CharacterVarying<number> | Name | UUID | Bit<number> | BitVarying<number> | Boolean | Time | Timestamp | Date | import("./Range.js").Range<Date, import("../data/DateTime/Date.js").DateObject> | Interval | import("./Range.js").Range<Timestamp, import("../data/DateTime/Timestamp.js").TimestampObject> | import("../data/Enumerated/Enum.js").Enum<string, [string, ...string[]]> | Box | Circle | Line | Point | LineSegment | Polygon | JSON | Money | Float4 | Float8 | import("./Range.js").Range<Int4, import("../data/Numeric/Int4.js").Int4Object> | import("./Range.js").Range<Int8, import("../data/Numeric/Int8.js").Int8Object> | import("./MultiRange.js").MultiRange<Date, import("../data/DateTime/Date.js").DateObject> | import("./MultiRange.js").MultiRange<Timestamp, import("../data/DateTime/Timestamp.js").TimestampObject> | import("./MultiRange.js").MultiRange<Int4, import("../data/Numeric/Int4.js").Int4Object> | import("./MultiRange.js").MultiRange<Int8, import("../data/Numeric/Int8.js").Int8Object> | null;
        serialize: (value: import("../index.js").FromParameters<import("../index.js").Constructors>) => string;
    };
    1007: {
        parse: (value: string | null) => any[] | null;
        serialize: (value: string | import("../index.js").FromParameters<import("../index.js").Constructors>[] | null) => string;
    };
    4451: {
        parse: (value: string | null) => ByteA | Int2 | Int4 | Int8 | OIDClass | Text | Character<number> | CharacterVarying<number> | Name | UUID | Bit<number> | BitVarying<number> | Boolean | Time | Timestamp | Date | import("./Range.js").Range<Date, import("../data/DateTime/Date.js").DateObject> | Interval | import("./Range.js").Range<Timestamp, import("../data/DateTime/Timestamp.js").TimestampObject> | import("../data/Enumerated/Enum.js").Enum<string, [string, ...string[]]> | Box | Circle | Line | Point | LineSegment | Polygon | JSON | Money | Float4 | Float8 | Int4MultiRange | import("./Range.js").Range<Int4, import("../data/Numeric/Int4.js").Int4Object> | import("./Range.js").Range<Int8, import("../data/Numeric/Int8.js").Int8Object> | import("./MultiRange.js").MultiRange<Date, import("../data/DateTime/Date.js").DateObject> | import("./MultiRange.js").MultiRange<Timestamp, import("../data/DateTime/Timestamp.js").TimestampObject> | import("./MultiRange.js").MultiRange<Int4, import("../data/Numeric/Int4.js").Int4Object> | import("./MultiRange.js").MultiRange<Int8, import("../data/Numeric/Int8.js").Int8Object> | null;
        serialize: (value: import("../index.js").FromParameters<import("../index.js").Constructors>) => string;
    };
    6150: {
        parse: (value: string | null) => any[] | null;
        serialize: (value: string | import("../index.js").FromParameters<import("../index.js").Constructors>[] | null) => string;
    };
    3904: {
        parse: (value: string | null) => ByteA | Int2 | Int4 | Int8 | OIDClass | Text | Character<number> | CharacterVarying<number> | Name | UUID | Bit<number> | BitVarying<number> | Boolean | Time | Timestamp | Date | import("./Range.js").Range<Date, import("../data/DateTime/Date.js").DateObject> | Interval | import("./Range.js").Range<Timestamp, import("../data/DateTime/Timestamp.js").TimestampObject> | import("../data/Enumerated/Enum.js").Enum<string, [string, ...string[]]> | Box | Circle | Line | Point | LineSegment | Polygon | JSON | Money | Float4 | Float8 | Int4Range | import("./Range.js").Range<Int4, import("../data/Numeric/Int4.js").Int4Object> | import("./Range.js").Range<Int8, import("../data/Numeric/Int8.js").Int8Object> | import("./MultiRange.js").MultiRange<Date, import("../data/DateTime/Date.js").DateObject> | import("./MultiRange.js").MultiRange<Timestamp, import("../data/DateTime/Timestamp.js").TimestampObject> | import("./MultiRange.js").MultiRange<Int4, import("../data/Numeric/Int4.js").Int4Object> | import("./MultiRange.js").MultiRange<Int8, import("../data/Numeric/Int8.js").Int8Object> | null;
        serialize: (value: import("../index.js").FromParameters<import("../index.js").Constructors>) => string;
    };
    3905: {
        parse: (value: string | null) => any[] | null;
        serialize: (value: string | import("../index.js").FromParameters<import("../index.js").Constructors>[] | null) => string;
    };
    20: {
        parse: (value: string | null) => ByteA | Int2 | Int4 | Int8 | OIDClass | Text | Character<number> | CharacterVarying<number> | Name | UUID | Bit<number> | BitVarying<number> | Boolean | Time | Timestamp | Date | import("./Range.js").Range<Date, import("../data/DateTime/Date.js").DateObject> | Interval | import("./Range.js").Range<Timestamp, import("../data/DateTime/Timestamp.js").TimestampObject> | import("../data/Enumerated/Enum.js").Enum<string, [string, ...string[]]> | Box | Circle | Line | Point | LineSegment | Polygon | JSON | Money | Float4 | Float8 | import("./Range.js").Range<Int4, import("../data/Numeric/Int4.js").Int4Object> | import("./Range.js").Range<Int8, import("../data/Numeric/Int8.js").Int8Object> | import("./MultiRange.js").MultiRange<Date, import("../data/DateTime/Date.js").DateObject> | import("./MultiRange.js").MultiRange<Timestamp, import("../data/DateTime/Timestamp.js").TimestampObject> | import("./MultiRange.js").MultiRange<Int4, import("../data/Numeric/Int4.js").Int4Object> | import("./MultiRange.js").MultiRange<Int8, import("../data/Numeric/Int8.js").Int8Object> | null;
        serialize: (value: import("../index.js").FromParameters<import("../index.js").Constructors>) => string;
    };
    1016: {
        parse: (value: string | null) => any[] | null;
        serialize: (value: string | import("../index.js").FromParameters<import("../index.js").Constructors>[] | null) => string;
    };
    4536: {
        parse: (value: string | null) => ByteA | Int2 | Int4 | Int8 | OIDClass | Text | Character<number> | CharacterVarying<number> | Name | UUID | Bit<number> | BitVarying<number> | Boolean | Time | Timestamp | Date | import("./Range.js").Range<Date, import("../data/DateTime/Date.js").DateObject> | Interval | import("./Range.js").Range<Timestamp, import("../data/DateTime/Timestamp.js").TimestampObject> | import("../data/Enumerated/Enum.js").Enum<string, [string, ...string[]]> | Box | Circle | Line | Point | LineSegment | Polygon | JSON | Money | Float4 | Float8 | import("./Range.js").Range<Int4, import("../data/Numeric/Int4.js").Int4Object> | Int8MultiRange | import("./Range.js").Range<Int8, import("../data/Numeric/Int8.js").Int8Object> | import("./MultiRange.js").MultiRange<Date, import("../data/DateTime/Date.js").DateObject> | import("./MultiRange.js").MultiRange<Timestamp, import("../data/DateTime/Timestamp.js").TimestampObject> | import("./MultiRange.js").MultiRange<Int4, import("../data/Numeric/Int4.js").Int4Object> | import("./MultiRange.js").MultiRange<Int8, import("../data/Numeric/Int8.js").Int8Object> | null;
        serialize: (value: import("../index.js").FromParameters<import("../index.js").Constructors>) => string;
    };
    6157: {
        parse: (value: string | null) => any[] | null;
        serialize: (value: string | import("../index.js").FromParameters<import("../index.js").Constructors>[] | null) => string;
    };
    3926: {
        parse: (value: string | null) => ByteA | Int2 | Int4 | Int8 | OIDClass | Text | Character<number> | CharacterVarying<number> | Name | UUID | Bit<number> | BitVarying<number> | Boolean | Time | Timestamp | Date | import("./Range.js").Range<Date, import("../data/DateTime/Date.js").DateObject> | Interval | import("./Range.js").Range<Timestamp, import("../data/DateTime/Timestamp.js").TimestampObject> | import("../data/Enumerated/Enum.js").Enum<string, [string, ...string[]]> | Box | Circle | Line | Point | LineSegment | Polygon | JSON | Money | Float4 | Float8 | import("./Range.js").Range<Int4, import("../data/Numeric/Int4.js").Int4Object> | Int8Range | import("./Range.js").Range<Int8, import("../data/Numeric/Int8.js").Int8Object> | import("./MultiRange.js").MultiRange<Date, import("../data/DateTime/Date.js").DateObject> | import("./MultiRange.js").MultiRange<Timestamp, import("../data/DateTime/Timestamp.js").TimestampObject> | import("./MultiRange.js").MultiRange<Int4, import("../data/Numeric/Int4.js").Int4Object> | import("./MultiRange.js").MultiRange<Int8, import("../data/Numeric/Int8.js").Int8Object> | null;
        serialize: (value: import("../index.js").FromParameters<import("../index.js").Constructors>) => string;
    };
    3927: {
        parse: (value: string | null) => any[] | null;
        serialize: (value: string | import("../index.js").FromParameters<import("../index.js").Constructors>[] | null) => string;
    };
    26: {
        parse: (value: string | null) => ByteA | Int2 | Int4 | Int8 | OIDClass | Text | Character<number> | CharacterVarying<number> | Name | UUID | Bit<number> | BitVarying<number> | Boolean | Time | Timestamp | Date | import("./Range.js").Range<Date, import("../data/DateTime/Date.js").DateObject> | Interval | import("./Range.js").Range<Timestamp, import("../data/DateTime/Timestamp.js").TimestampObject> | import("../data/Enumerated/Enum.js").Enum<string, [string, ...string[]]> | Box | Circle | Line | Point | LineSegment | Polygon | JSON | Money | Float4 | Float8 | import("./Range.js").Range<Int4, import("../data/Numeric/Int4.js").Int4Object> | import("./Range.js").Range<Int8, import("../data/Numeric/Int8.js").Int8Object> | import("./MultiRange.js").MultiRange<Date, import("../data/DateTime/Date.js").DateObject> | import("./MultiRange.js").MultiRange<Timestamp, import("../data/DateTime/Timestamp.js").TimestampObject> | import("./MultiRange.js").MultiRange<Int4, import("../data/Numeric/Int4.js").Int4Object> | import("./MultiRange.js").MultiRange<Int8, import("../data/Numeric/Int8.js").Int8Object> | null;
        serialize: (value: import("../index.js").FromParameters<import("../index.js").Constructors>) => string;
    };
    1028: {
        parse: (value: string | null) => any[] | null;
        serialize: (value: string | import("../index.js").FromParameters<import("../index.js").Constructors>[] | null) => string;
    };
    2950: {
        parse: (value: string | null) => ByteA | Int2 | Int4 | Int8 | OIDClass | Text | Character<number> | CharacterVarying<number> | Name | UUID | Bit<number> | BitVarying<number> | Boolean | Time | Timestamp | Date | import("./Range.js").Range<Date, import("../data/DateTime/Date.js").DateObject> | Interval | import("./Range.js").Range<Timestamp, import("../data/DateTime/Timestamp.js").TimestampObject> | import("../data/Enumerated/Enum.js").Enum<string, [string, ...string[]]> | Box | Circle | Line | Point | LineSegment | Polygon | JSON | Money | Float4 | Float8 | import("./Range.js").Range<Int4, import("../data/Numeric/Int4.js").Int4Object> | import("./Range.js").Range<Int8, import("../data/Numeric/Int8.js").Int8Object> | import("./MultiRange.js").MultiRange<Date, import("../data/DateTime/Date.js").DateObject> | import("./MultiRange.js").MultiRange<Timestamp, import("../data/DateTime/Timestamp.js").TimestampObject> | import("./MultiRange.js").MultiRange<Int4, import("../data/Numeric/Int4.js").Int4Object> | import("./MultiRange.js").MultiRange<Int8, import("../data/Numeric/Int8.js").Int8Object> | null;
        serialize: (value: import("../index.js").FromParameters<import("../index.js").Constructors>) => string;
    };
    2951: {
        parse: (value: string | null) => any[] | null;
        serialize: (value: string | import("../index.js").FromParameters<import("../index.js").Constructors>[] | null) => string;
    };
};
