import { DateTime } from "luxon";
export const isValidDateTime = (date) => {
    if (!(date instanceof DateTime))
        return { isOfSameType: false };
    if (!date.isValid) {
        return {
            error: {
                code: "invalid_luxon_date",
                received: date,
            },
            isOfSameType: true,
            isValid: false,
        };
    }
    return { data: date, isOfSameType: true, isValid: true };
};
//# sourceMappingURL=isValidDateTime.js.map